Package org.eclipse.emf.cdo.etypes.util

## Class EtypesAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.cdo.etypes.util.EtypesAdapterFactory

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.AdapterFactory`
  Direct Known Subclasses:
    `EtypesItemProviderAdapterFactory`

      public class EtypesAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  Since:
    4.0
  See Also:
    `EtypesPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static EtypesPackage` | `modelPackage` | The cached model package.
    `protected EtypesSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` | The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EtypesAdapterFactory()` | Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` | Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotationAdapter()` | Creates a new adapter for an object of class '`Annotation`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` | Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createModelElementAdapter()` | Creates a new adapter for an object of class '`Model Element`'.
    `boolean` | `isFactoryForType​(java.lang.Object object)` | Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static EtypesPackage modelPackage

      The cached model package.
      Generated

    - #### modelSwitch

          protected EtypesSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated

  - ### Constructor Detail

    - #### EtypesAdapterFactory

          public EtypesAdapterFactory()

      Creates an instance of the adapter factory.
      Generated

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType​(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated

    - #### createModelElementAdapter

          public org.eclipse.emf.common.notify.Adapter createModelElementAdapter()

      Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ModelElement`
      Generated

    - #### createAnnotationAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotationAdapter()

      Creates a new adapter for an object of class '`Annotation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Annotation`
      Generated

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated